#ifndef INTEROP_H
#define INTEROP_H

#include "qbolt_cgo.h"
#include <QString>
#include <QList>

class GoSliceManagedWrapper {
    Q_DISABLE_COPY(GoSliceManagedWrapper)

public:
    GoSliceManagedWrapper(const QList<QByteArray>& qsl);
    ~GoSliceManagedWrapper();
protected:
    QList<QByteArray> rawStrings;
public:
    GoSlice slice;
    GoString *strings;
};

class Interop
{
public:
    Interop();

    static GoString toGoString_WeakRef(QByteArray *qba);

    static int64_t GetMagic();
};

#endif // INTEROP_H
