#include "mainwindow.h"
#include <QApplication>
#include "interop.h"

#include <QDebug>

int main(int argc, char *argv[])
{
    int64_t magic = Interop::GetMagic();
    if (magic != 0x10203040) {
        qDebug() << "bad magic " << magic;
        return 1;
    }

    QApplication a(argc, argv);
    QApplication::setApplicationDisplayName("QBolt");
    QApplication::setWindowIcon(QIcon(":/rsrc/database_lightning.png"));

    MainWindow w;
    w.show();

    return a.exec();
}
